- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjValue Class Reference

The ObjValue Class. More...

`#include <OSResult.h>`

List of all members.

## Public Member Functions
| ObjValue ()
| Default constructor.
| ~ObjValue ()
| Class destructor.
bool | IsEqual (ObjValue *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| ObjValue ()
| Default constructor.
| ~ObjValue ()
| Class destructor.
## Public Attributes
int | idx
| idx is the index on an objective function
double | value
| the value of the objective indexed by idx

## Detailed Description

The ObjValue Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the value of an objective function

Definition at line 1235 of file OSResult.h.

## Constructor & Destructor Documentation

ObjValue::ObjValue | ( |  | ) |

Default constructor.

Definition at line 574 of file OSResult.cpp.

ObjValue::~ObjValue | ( |  | ) |

Class destructor.

Definition at line 584 of file OSResult.cpp.

ObjValue::ObjValue | ( |  | ) |

Default constructor.

ObjValue::~ObjValue | ( |  | ) |

Class destructor.

## Member Function Documentation

bool ObjValue::IsEqual | ( | ObjValue * | that | ) |

A function to check for the equality of two objects.

Definition at line 6591 of file OSResult.cpp.

bool ObjValue::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8012 of file OSResult.cpp.

Referenced by ObjectiveValues::setRandom().

## Member Data Documentation

int ObjValue::idx

idx is the index on an objective function

Definition at line 1239 of file OSResult.h.

Referenced by OSResult::setObjectiveValues().

double ObjValue::value

the value of the objective indexed by idx

Definition at line 1242 of file OSResult.h.

Referenced by main(), and OSResult::setObjectiveValues().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp